#include "Effect.h"
#include "DEFINES.h"
#include "Crawler.h"

INCLUDE_game

Meteor::Meteor(vf2d pos, float lifetime, AnimationState animation, bool upperLevel, vf2d size, float fadeout, vf2d spd, Pixel col, float rotation, float rotationSpd, bool additiveBlending)
	:Effect(pos,lifetime,animation,upperLevel,size,fadeout,spd,col,rotation,rotationSpd,additiveBlending){

}

bool Meteor::Update(float fElapsedTime){
	return Effect::Update(fElapsedTime);
}

void Meteor::Draw(){
	vf2d scale=vf2d{192,64}/3.f;
	vf2d centerPoint=pos-vf2d{game->GFX_Circle.Sprite()->width*scale.x/2,game->GFX_Circle.Sprite()->height*scale.y/2};
	game->view.DrawDecal(centerPoint,game->GFX_Circle.Decal(),scale,BLACK);
}